import java.awt.BorderLayout;
import java.awt.Color;
import java.awt.Dimension;
import java.awt.Graphics;
import java.awt.image.BufferedImage;
import java.io.IOException;
import javax.swing.ImageIcon;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JScrollPane;
import org.apache.fop.render.awt.AWTRenderer;

/**
 * Utility class to show image in dialog.
 *
 * @author Andriy Palamarchuk
 */
public class ShowImage {
    public void show(AWTRenderer renderer) throws IOException {
        JFrame frame = new JFrame("Image Demo");
        frame.setSize(new Dimension(400, 500));
        JScrollPane previewArea = new JScrollPane();
        previewArea.setMinimumSize(new Dimension(50, 50));
        frame.getContentPane().add(previewArea, BorderLayout.CENTER);
        JLabel previewImageLabel = new JLabel();
        previewArea.getViewport().add(previewImageLabel);

        BufferedImage pageImage = null;
        Graphics graphics = null;
        int currentPage = 1;

        renderer.render(currentPage);
        pageImage = renderer.getLastRenderedPage();
        if (pageImage == null) {
            throw new IOException("PageImage is null");
        }
        graphics = pageImage.getGraphics();
        graphics.setColor(Color.black);
        graphics.drawRect(0, 0, pageImage.getWidth() - 1,
                pageImage.getHeight() - 1);

        previewImageLabel.setIcon(new ImageIcon(pageImage));
        frame.show();
    }
}
